Bug 890492 - newly defined network is not marked as persistent
newly defined network is not marked as persistent
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 04:27 EST by Dan Kenigsberg
Modified: 2013-01-30 09:39 EST (History)
12 users (show)

See Also:
Fixed In Version: libvirt-1.0.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 09:39:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2012-12-27 04:27:08 EST
Description of problem:
http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=0211fd6e04cdc402da20818df54299c6ded3d3cb
 

Version-Release number of selected component (if applicable):
libvirt-1.0.1

How reproducible:
100%

Steps to Reproduce:
 net = conn.networkDefineXML(netXml)
 net.create()
 print net.isPersistent()
# net.destroy()
# net.undefine()
  
Actual results:
net.isPersistent() is reported as false.

Expected results:
net.isPersistent() is True

Additional info:
https://www.redhat.com/archives/libvir-list/2012-December/msg01335.html
Comment 1 Osier Yang 2012-12-27 23:39:56 EST
See https://www.redhat.com/archives/libvir-list/2012-December/msg01367.html,
actually we have more problems than this bug exposes.
Comment 2 Laine Stump 2013-01-18 14:08:08 EST
I believe this upstream patch fixes the problem:

commit bb19491cf5e3b78f2d72bbcbcc06e985d29b7f4b
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Jan 11 11:10:34 2013 +0100

    network: bridge: Fix regression when defining persistent networks
    
    Commit 0211fd6e04cdc402da20818df54299c6ded3d3cb introduced regression
    where newly defined networks were not made persistent.
    
    This patch makes the network persistent on each successful definition.
Comment 3 Cole Robinson 2013-01-27 15:42:42 EST
New libvirt release is scheduled for end of the month and it will promptly end up in rawhide, so just closing this as UPSTREAM
Comment 4 Dan Kenigsberg 2013-01-28 02:53:35 EST
Would you please fill in the "Fixed In Version:" field, so we can require the package when it is ready?
Comment 5 Cole Robinson 2013-01-28 10:23:23 EST
Sorry I didn't realize you guys actually have process around Fedora bugs. I'll reopen and close it when the build actually goes out.
Comment 6 Cole Robinson 2013-01-30 09:39:44 EST
Fixed in libvirt-1.0.1-6.fc19

Note You need to log in before you can comment on or make changes to this bug.